package com.example.oscellamobile.Navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.oscellamobile.screens.Auth
import com.example.oscellamobile.screens.AuthWithEmail
import com.example.oscellamobile.screens.MainWindow
import com.example.oscellamobile.screens.Registration
import com.example.oscellamobile.screens.RegistrationWithEmail
import com.example.oscellamobile.screens.SplashScreen
@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "SplashScreen")
    {
        composable("SplashScreen"){
            SplashScreen(navController)
        }
        composable("Auth"){
            Auth(navController)
        }
        composable("AuthWithEmail") {
            AuthWithEmail(navController)
        }
        composable("Registration") {
            Registration(navController)
        }
        composable("RegistrationWithEmail"){
            RegistrationWithEmail(navController)
        }
        composable("MainWindow"){
            MainWindow(navController)
        }
    }
}